Summary:   Collection of basic system utilities for Linux
Name:      util-linux
Version:   2.9i
Release:   1
Group:     Utilities/System
Copyright: distributable
Packager:  Hao Li <hli@wag.caltech.edu>
Source0:   ftp://sunsite.unc.edu/pub/Linux/system/misc/%{name}-%{version}.tar.gz
Source1:   util-linux-2.9-login.pamd
Source2:   util-linux-2.9-chfn.pamd
Source3:   util-linux-2.9-chsh.pamd
Patch:     util-linux-2.9-config.patch
Requires:  pam >= 0.59
Buildroot: /var/tmp/%{name}-root

%description
util-linux contains a large variety of low-level system utilities
necessary for a functional Linux system.  This includes, among other
things, configuration tools such as fdisk and system programs such
as login.

This package includes mount and losetup which are packaged seperately in
stock Red Hat distributions. tunelp is also included.


%prep
%setup -q
%patch -p1


%build
make OPT="$RPM_OPT_FLAGS" 


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
gzip -9f $RPM_BUILD_ROOT/usr/info/*.info

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/login
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/chsh
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/chfn

# These are examples so should goto %doc rather than /usr/lib
mv $RPM_BUILD_ROOT/usr/lib/getopt getopt.samples
mv getopt-1.0.3a/README getopt-1.0.3a/README.getopt

# Of dubious necessity, but RedHat did this.
chmod 4711 $RPM_BUILD_ROOT/usr/bin/{chfn,chsh,newgrp}

# Now construct the file list
cat > files.lst << EOF
%defattr(-,root,root)
%doc ANNOUNCE COPYING.GPL COPYING.UCB HISTORY INSTALL LSM MAINTAINERS */README.*
%doc getopt.samples
EOF
find $RPM_BUILD_ROOT -xtype f | sed "s|^$RPM_BUILD_ROOT||" | sort \
	| sed 's|^/usr/bin/write$|%attr(2755,root,tty) /usr/bin/write|' \
	| sed 's|^/etc/pam.d|%config /etc/pam.d|' \
	>> files.lst


%files -f files.lst


%clean
rm -rf $RPM_BUILD_ROOT
